
public class Person implements Comparable<Person>{
	private String name;
	private int value;
	
	public Person(String name, int value){
		this.name = name;
		this.value = value;
	}
	
	
	public String getName() {
		return name;
	}


	@Override
    public int hashCode()
    {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((name == null) ? 0 : name.hashCode ());
        result = prime * result + value;
        return result;
    }


    @Override
    public boolean equals(Object obj)
    {
        if (this == obj)
            return true; 
        if (obj == null)
            return false;
        if (getClass () != obj.getClass ())
            return false;
        Person other = (Person) obj;
        if (name == null)
        {
            if (other.name != null)
                return false;
        }
        else if (!name.equals (other.name))
            return false;
        if (value != other.value)
            return false;
        return true;
    }


    public int getValue() {
		return value;
	}


	public int compareTo(Person p){
		return name.compareTo(p.name);
	}
	
	public String toString(){
		return name + "(" + value +") " + hashCode();	
	}
	
	
}
